package com.huiju.welcome.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.welcome.model.TaFirstUsherRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-06-04
 */
@Mapper
public interface TaFirstUsherRecordMapper extends BaseMapper<TaFirstUsherRecord> {

    /**
     * 分页查询安保记录
     * @param pg
     * @param plateNumber
     * @param visiteDate
     * @return
     */
    IPage<TaFirstUsherRecord> taFirstUsherRecordlist(IPage pg, @Param("plateNumber") String plateNumber, @Param("visiteDate")String visiteDate);
}
